pantomime1.2 (1.2.2+dfsg1-1) unstable; urgency=low

  * Team upload.
  * New upstream version 1.2.2
    + repack to clean up non-DFSG files:
      - debian/copyright: exclude RFC documents
      - debian/watch: mangle Debian version number
      - remove debian/repack script, now useless
    + remove link-libs patch, now useless
    + remove check-return-result patch, now useless
    + update compilation-warnings patch:
      - refresh
      - use https for Debian bug
    + Refresh gnutls patch
    + Add Homepage
  * Update debian/control file:
    + add myself as new Uploader
    + bump Standards-Version to 3.9.8
    + update Vcs-* fields
    + remove useless ${gnustep:Depends} var
    + now Build-Depends on debhelper (>= 9)
    + remove build dependency to cdbs
   * Update debian/copyright with cme tool:
     + use https protocol in Format field
  * debian/compat: set debhelper compatibility to 9
  * New debian/clean file
  * New debian/libpantomime1.2.docs file
  * New debian/libpantomime1.2.install file
  * New debian/libpantomime1.2.links file
  * New debian/libpantomime1.2-dev.docs file
  * New debian/libpantomime1.2-dev.install file
  * New debian/libpantomime1.2-dev.links file
  * Rewrite debian/rules file:
    + use override_dh_* targets
    + install in debian/tmp
    + use separate build directory
    + No -dbg package

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Tue, 13 Sep 2016 10:03:31 +0200

pantomime1.2 (1.2.2~r289+dfsg-2) unstable; urgency=medium

  * debian/patches/gnutls.patch: New; use GnuTLS via gnustep-base instead
    of OpenSSL to avoid licensing issues with lusernet.app and gnumail
    (Closes: #756852).
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Require gnustep-base (>= 1.24.6) for
    proper GSTLS support.  Remove libssl-dev.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 30 Oct 2014 17:35:36 +0200

pantomime1.2 (1.2.2~r289+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - Fixes a crash in CWService when self gets deallocated while
      reading/writing data (Closes: #750217).
  * debian/watch: Replace stub with a working one.
  * debian/repack: New script to repack the upstream tarball.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/README.source: Delete.
  * debian/control (Section): Change to "libs".
    (Build-Depends): Remove quilt.
    (Homepage): Remove, new upstream maintainer but no homepage yet.
    (Vcs-Git, Vcs-Browser): Use canonical URIs.
    (Standards-Version): Bump to 3.9.5; no changes needed.
  * debian/rules: Don't include patchsys-quilt.mk.
    (LDFLAGS): Define with `+=' to get the value from dpkg-buildflags.
    (DEB_MAKE_INVOKE): Add OBJCFLAGS.
  * debian/patches/compilation-errors.patch: Remove; fixed upstream.
  * debian/patches/compilation-warnings.patch: Remove hunks applied
    upstream, fix more issues (Closes: #749762).
  * debian/patches/check-return-result.patch: New; check the return result
    of some functions and provide better logging (Closes: #461453).
  * debian/patches/series: Update.
  * debian/copyright: Switch to format 1.0, update copyright
    years/holders.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 11 Jul 2014 21:24:50 +0300

pantomime1.2 (1.2.0~pre3+snap20071004+dfsg-4) unstable; urgency=low

  * debian/control (Vcs-Arch): Remove.
    (Vcs-Git, Vcs-Browser): New; the package is now maintained in Git.
    (Standards-Version): Claim compliance with 3.9.2; no changes needed.
    (libpantomime1.2-dev) <Depends>: Add libssl-dev.
  * debian/patches/compilation-errors.patch: New; fixes FTBFS with GCC 4.6
    (Closes: #618184).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 25 Sep 2011 20:17:52 +0300

pantomime1.2 (1.2.0~pre3+snap20071004+dfsg-3) unstable; urgency=low

  * debian/rules (OPTFLAG): No longer define; rework noopt handling to be
    compatible with gnustep-make/2.4.x (Closes: #581955).
    (DEB_INSTALL_DOCS_ALL): Remove README; only interesting for MuckOS X
    users.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 27 May 2010 15:10:39 +0300

pantomime1.2 (1.2.0~pre3+snap20071004+dfsg-2) unstable; urgency=low

  * debian/control (Maintainer, Uploaders): Remove Hubert and Eric, add
    the GNUstep team and myself.
    (Build-Depends): Bump debhelper to >= 7.  Unversion
    libgnustep-base-dev.  Add quilt.
    (Standards-Version): Claim compliance with 3.8.4 as of this upload.
    (Section): Change to `gnustep'.
    (Homepage, Vcs-Arch): New fields.
    (Description): Tweak and reformat the list of features.
    (Depends): Add ${gnustep:Depends} and ${misc:Depends}.
    (libpantomime1.2-dev) <Depends>: Use ${binary:Version}.  Add
    libgnustep-base-dev.
    (Conflicts, Replaces): Remove.
  * debian/compat: Set to 7.
  * debian/postinst: Delete, not needed anymore.
  * debian/rules: Include patchsys-quilt.mk.
    (messages): Define to `yes' to enable verbose build logs.
    (OPTFLAG, LDFLAGS): Define and use.
  * debian/patches/link-libs.patch: New; link against all needed
    libraries.
  * debian/patches/compilation-warnings.patch: New.
  * debian/patches/series:
  * debian/README.source:
  * debian/source/format:
  * debian/watch: New file.
  * debian/copyright: Add references to LGPL-2.1 and GPL-2.  Delete
    everything about the ELM license; the relevant code was removed
    upstream almost 3 years ago.  Add copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 15 May 2010 08:04:47 +0300

pantomime1.2 (1.2.0~pre3+snap20071004+dfsg-1) unstable; urgency=low

  * New upstream snapshot.

 -- Hubert Chathi <uhoreg@debian.org>  Thu,  4 Oct 2007 22:33:57 -0400

pantomime1.2 (1.2.0~pre3+dfsg-1~hc1) experimental; urgency=low

  * New upstream release.
  * Make dh_makeshlibs add version information.

 -- Hubert Chan <uhoreg@debian.org>  Sat, 10 Feb 2007 12:19:57 -0500

pantomime1.2 (1.2.0~pre2.dfsg-2) unstable; urgency=low

  * Update maintainer address.
  * Remove unnecessary dependencies. (Closes: 377830)

 -- Hubert Chan <uhoreg@debian.org>  Fri, 27 Oct 2006 12:41:30 -0400

pantomime1.2 (1.2.0~pre2.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 27 Sep 2006 13:56:38 -0400

pantomime1.2 (1.1.99+20060527.dfsg-1) unstable; urgency=low

  * New upstream snapshot.
  * Recompile with new GNUstep libraries.
  * Bump standards version to 3.7.2. (no changes)
  * Fix license headers in copyright file.
  * Remove unneeded README.Debian file.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 30 Aug 2006 22:11:38 -0600

pantomime1.2 (1.1.99+20051227cvs.dfsg-1) unstable; urgency=low

  * Upstream CVS checkout.
  * New co-maintainer.
  * Bump standards version to 3.6.2.1.
  * Recompile with new GNUstep libraries.
  * Split into libpantomime1.2 and -dev packages.
  * Change source package name since ABI has changed and we need both versions
    in the archive.
  * Put soname in -dev package version since API has changed in a
    backwards-incompatible way.
  * Fix the copyright file.
  * Remove (non-Free) RFCs from source.

 -- Hubert Chan <hubert@uhoreg.ca>  Thu,  2 Feb 2006 22:58:42 -0700

pantomime (1.1.99-1) experimental; urgency=low

  * New upstream version.
  * New maintainer (Me).
  * Upload in experimental.
  * Pantomime is now a GNUstep framework:
     we cannot build static lib anymore. Remove -dev package.
  * Update description in debian/control file.
  * override inappropriate lintian warnings.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sun, 23 Jan 2005 12:11:22 +0100

pantomime (1.1.2-3) unstable; urgency=low

  * Build depend / depend on libgnustep-base-1.10-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Nov 2004 00:25:28 +0100

pantomime (1.1.2-2) unstable; urgency=low

  * Rebuild against new gnustep-base.

 -- Matthias Klose <doko@debian.org>  Tue,  6 Jul 2004 23:01:28 +0200

pantomime (1.1.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri,  2 Jan 2004 14:07:00 +0100

pantomime (1.1.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Oct 2003 20:56:42 +0200

pantomime (1.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Aug 2003 22:19:42 +0200

pantomime (1.0.99-2) unstable; urgency=low

  * Recompile for new GNUstep directory layout.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Jul 2003 22:22:59 +0200

pantomime (1.0.99-1) unstable; urgency=low

  * New upstream release (2nd 1.1 prerelease).
  * Change section to libdevel.
  * Update Standards-Version to 3.5.10.

 -- Matthias Klose <doko@debian.org>  Thu, 29 May 2003 13:56:17 +0200

pantomime (1.0.98-2) unstable; urgency=low

  * Build using package header files, not installed header files.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jan 2003 07:28:15 +0100

pantomime (1.0.98-1) unstable; urgency=low

  * New upstream release (1st 1.1 prerelease).

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jan 2003 20:46:15 +0100

pantomime (1.0.5-2) unstable; urgency=low

  * Recompile using libssl-0.9.7.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jan 2003 20:19:15 +0100

pantomime (1.0.5-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Sep 2002 08:19:29 +0200

pantomime (1.0.4-3) unstable; urgency=low

  * Don't build bundles, when building with shared=no (closes: #155483).

 -- Matthias Klose <doko@debian.org>  Fri,  9 Aug 2002 08:33:03 +0200

pantomime (1.0.4-2) unstable; urgency=low

  * Correct dependency on gnustep-base-dev (closes: #154017).

 -- Matthias Klose <doko@debian.org>  Wed, 24 Jul 2002 00:23:32 +0200

pantomime (1.0.4-1) unstable; urgency=low

  * New upstream version.
  * Build TCPSSLConnection bundle (closes: #151746).

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jul 2002 14:02:40 +0200

pantomime (1.0.3-1) unstable; urgency=low

  * New upstream version

 -- Matthias Klose <doko@debian.org>  Wed,  1 May 2002 14:30:07 +0200

pantomime (1.0.2-0.1) unstable; urgency=medium

  * Non Maintainer Upload
  * New upstream release

 -- Paul Seelig <pseelig@debian.org>  Mon, 25 Mar 2002 02:55:50 +0100

pantomime (1.0.1-1) unstable; urgency=low

  * New upstream release. Closes: #136785.

 -- Matthias Klose <doko@debian.org>  Mon,  4 Mar 2002 20:37:47 +0100

pantomime (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Feb 2002 20:33:00 +0100

pantomime (0.9.0-1) unstable; urgency=low

  * Initial Release.
  * Just needed for building GNUmail.app.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Jan 2002 21:30:38 +0100
